﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As System.EventArgs) Handles Me.Load

        'create the datatable
        Dim dtDataSource As New DataTable
        dtDataSource.Columns.Add("ProjectID", GetType(Integer))
        For Each AvailableControl As Control In Me.Controls
            dtDataSource.Columns.Add(AvailableControl.Name, GetType(Double)).AllowDBNull = True
        Next

        'populate it with a single row
        Dim NewRow As DataRow = dtDataSource.NewRow
        NewRow("ProjectID") = 1
        dtDataSource.Rows.Add(NewRow)

        'bind all the controls
        For Each AvailableControl As Control In Me.Controls
            AvailableControl.DataBindings.Add("Value", dtDataSource, AvailableControl.Name)
        Next

    End Sub

End Class
